botruntime
API ReferenceAdmin API

List Bots

List bots

GET
/v1/admin/bots

Query Parameters

dev?boolean

If true, only dev bots are returned. Otherwise, only production bots are returned.

tags?

Filter by tags

integrationNames?array<string>

Filter bots that have ALL of these integrations installed (by definition name)

pluginNames?array<string>

Filter bots that have ALL of these plugins installed (by definition name)

nextToken?string

Provide the meta.nextToken value provided in the last API response to retrieve the next page of results

pageSize?integer

Number of items to return per page (default 20, max 100)

sortField?string

Sort results by this field

Value in

  • "createdAt"
  • "updatedAt"
sortDirection?string

Sort results in this direction

Value in

  • "asc"
  • "desc"

Header Parameters

x-workspace-id*string

Workspace ID

x-multiple-integrations?string

Whether the client supports bots with multiple instances of the same integration. Set to "true" to receive integration instances keyed by their alias instead of their id. This header will be removed in the future, and the API will always return multiple instances keyed by alias.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/admin/bots" \  -H "x-workspace-id: string"
{  "bots": [    {      "id": "stringstringstringstringstri",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "name": "string",      "deployedAt": "2019-08-24T14:15:22Z",      "tags": {        "property1": "string",        "property2": "string"      },      "type": "studio"    }  ],  "meta": {    "nextToken": "string"  }}
{  "bots": [    {      "id": "stringstringstringstringstri",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "name": "string",      "deployedAt": "2019-08-24T14:15:22Z",      "tags": {        "property1": "string",        "property2": "string"      },      "type": "studio"    }  ],  "meta": {    "nextToken": "string"  }}